; 
;
.include "m16def.inc"
;.device ATMega16
; Fuse:	|  high |  |  low  |
;		1001 1001  1110 0001

;   4MHz ()
;**********  Variables  ************* 
.def    temp        =   r16		;  
;********  End Variables  ***********
.CSEG
.org 0
	rjmp	begin					;
	reti	;rjmp	Ext_INT0		; External Interrupt Request 0
	reti	;rjmp	Ext_INT1		; External Interrupt Request 1
	reti	;rjmp	Tim2_Comp		; Timer/Counter2 Compare Match A
	reti    ;rjmp	Tim2_OVF		; Timer/Counter2 Overflow
	reti	;rjmp	Tim1_Capt		; Timer/Counter1 Capture Event
	rjmp	Tim1_CompA		; Timer/Counter1 Compare Match A
	reti	;rjmp	Tim1_CompB		; Timer/Counter1 Compare Match B
	reti	;rjmp	Tim1_OVF		; Timer/Counter1 Overflow
	reti    ;rjmp	Tim0_OVF		; Timer/Counter0 Overflow
	reti	;rjmp 	SPI_STC 		; SPI Transfer Complete Handler
	reti	;rjmp	UartRXC			; USART, Rx Complete	 
	rjmp	UartDRE			; USART Data Register(UDR) Empty
	reti	;rjmp	UartTXC			; USART, Tx Complete
	reti	;rjmp	ADC 			; ADC Conversion Complete Handler
	reti	;rjmp	EERDY			; EEPROM Ready
	reti	;rjmp	ACE				; Analog Comparator Event
	reti	;rjmp	TWSI 			; Two-wire Serial Interface Handler
	reti	;rjmp	Ext_INT2		; External Interrupt Request 2
	reti	;rjmp	Tim0_Comp		; Timer/Counter0 Compare Match
	reti	;rjmp	SPM_RDY 		; Store Program Memory Ready Handler
;********************************************************************************
;	INT_VECTORS_SIZE	= 21	; size in words
;********************************************************************************
UartDRE:
nop
nop
;********************************************************************************
Tim1_OVF:
Tim1_CompA:
		nop
		nop
		reti
;********************************************************************************
begin:
		cli						; 
		ldi		temp,HIGH(RAMEND)
		out		SPH,temp
		ldi		temp,LOW(RAMEND)
		out		SPL,temp		; 

		clr		temp
		out		TCNT1H,temp
		out		TCNT1L,temp
		out		OCR1AH,temp
		out		TCCR1A,temp

		ldi		temp,10
		out		OCR1AL,temp
		ldi		temp,(1 << CS10) | ( 1<< WGM12)
		out		TCCR1B,temp
		ldi		temp,(1 << OCIE1A)
		out		TIMSK,temp
		sei

main:


rjmp	main
